Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Zentrumsmarke

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Zentrumsmarke (705 mal gelesen)
Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 891
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 11. Jan. 2007 08:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Morgen,
Ich möchte mir den Befehl Zentrumsmarke meine Bedürfnissen etwas anpassen.

; Zentrumsmarke
(defun c:zmarke (/ a b as ds r dc) 
(setq a (ssget))
(setq ds (getvar "dimscale"))
(setq r (cdr(assoc 40(entget(ssname a 0)))))
  (setvar "dimcen" (* 1.5 (/ r ds)) )
(command "_dimcenter" pause)
  (princ)
)
Die Grösse der Marke (dimcen) soll 1,5-mal Radius div BemFaktor (dimscale) sein.
So weit so gut – nun muss ich aber zweimal den Radius wählen und mir fällt gerade nix ein,
da  (command "_dimcenter" a ) nicht geht.
(Fehlerhandler fehlt noch)

Anregungen erwünscht, oder geht es mit _dimcenter nicht und man sollte direkt zwei Linien zeichnen?
Danke
Mit freundlichen Grüßen Dorfy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 898
Registriert: 27.11.2003

Win7/64
ACAD 2014
C3D 2014
ET

erstellt am: 11. Jan. 2007 09:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dorfy 10 Unities + Antwort hilfreich

Hallo Dorfy,

ich denke ich würde zwei Linine zeichnen. Die Endpunkte lassen sich ja enfach mit (polar ..) bezüglich dem Mittelpunkt des Bogens ermitteln.

LG
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1591
Registriert: 11.10.2004

Window 8.1
ACAD 2005-2016
CIVIL 2010 - 2016
BricsCAD V13-V15
Intel(R) Core(TM)i7-4700HQ CPU @ 2.40GHz 2.40 GHz
16.0GB RAM
NVIDIA GeForce GTX 850M

erstellt am: 11. Jan. 2007 10:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dorfy 10 Unities + Antwort hilfreich

Hallo Dorfy,
eingentlich müßte es mit (command "_dimcenter" (ssname a 0)"") funktionieren, tut es aber nicht.
Daher würde ich es dann vielleicht doch mit Linien probieren:
Code:

(defun c:zmarke (/ a r z)
  (setq a (ssget))
  (setq r (* 1.5(cdr(assoc 40(entget(ssname a 0)))))
z (cdr(assoc 10(entget(ssname a 0)))))
  (entmake (list '(0 . "LINE")
(cons 10 (polar z pi r))
(cons 11 (polar z 0.0 r))))
  (entmake (list '(0 . "LINE")
(cons 10 (polar z (* pi 0.5) r))
(cons 11 (polar z (* pi 1.5) r))))
  (princ)
  )

------------------
viele Grüße

Jörn

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 891
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 11. Jan. 2007 11:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Thomas und Jörn  -  !!!Danke!!!

So hab ich mir das vorgestellt!

(defun c:zmarke (/ a r d z)
  (setq a (ssget (list'(0 . "circle")) ))
; (command "-layer" "se" "AM_7" "")
  (repeat (sslength a)
    (progn     
  (setq r (* 1.5(cdr(assoc 40(entget (ssname a (setq D (if D (1+ D) 0)))))))
        z (cdr(assoc 10(entget (ssname a D)))))
  (entmake (list '(0 . "LINE")
(cons 10 (polar z pi r))
(cons 11 (polar z 0.0 r))))
  (entmake (list '(0 . "LINE")
(cons 10 (polar z (* pi 0.5) r))
(cons 11 (polar z (* pi 1.5) r))))
  (princ)))
)

? Liegt es am Befehl dimcenter, dass dieser die Objektauswahl nicht annimmt?
(command "_dimcenter" a … )
(command "_dimcenter" (ssname a 0)"")

Danke
Mit freundlichen Grüßen
Dorfy


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9537
Registriert: 01.12.2003

AutoCAD 2.5 - 201x, Civil 3D, Win10

erstellt am: 11. Jan. 2007 12:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dorfy 10 Unities + Antwort hilfreich

Mit _dimcenter funktionierts auch, allerdings erwartet Dimcenter eine Objekt/Pickpunktkombination, so wie sie (entsel) zurückgibt.

Code:
(DEFUN c:zmarke  (/ a b as ds r dc)
  (SETQ ds (GETVAR "dimscale"))
  (while (setq a (entsel "\nBogen oder Kreis wählen:"))
    (SETQ r (CDR (ASSOC 40 (ENTGET (car a)))))
    (SETVAR "dimcen" (* 1.5 (/ r ds)))
    (COMMAND "_dimcenter" a)
  )
  (PRINC)
)

------------------
Mit freundlichem Gruß

Udo Hübner

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 891
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 11. Jan. 2007 14:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@CAD-Huebner
Danke sieht gut aus...
Man lernt eben nie aus
mfg Dorfy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de